<?php
/******************************************************************************
 *                         Modify Item Updated
 *                    ------------------------------
 *   Filename:             modiftyitemupdated.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks to see if the user is the items manager and updates the item selected
 *   from the form.
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Item Updated</title>
</head>

<?php

  $time = time();

  // Check if there is a cookie, if there isn't then exit!
  if (!isset($_COOKIE['cookie_info'])) {
      echo "Cannot access this page: You aren't logged in";
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Header
          include("header.php");
          login();

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Variables that data come from the form
          $itemid1 =  $_POST["itemid"];                     // Item ID
          $itemdescription1 =  $_POST["itemdescription"];   // Item Description
          $itemstock1 =  $_POST["itemstock"];               // Item Stock
          $itemtax1 =  $_POST["itemtax"];                   // Item Tax
          $itemprice1 =  $_POST["itemprice"];               // Item Price
          $selectitem = $_POST["selectitem"];               // The item to be changed

          // Check if each section has been completed
          if ((!$itemid1) || (!$itemdescription1) || (!$itemstock1) || (!$itemtax1) || (!$itemprice1)) {
              echo "<br><center><font face='Verdana'>";
              if (!$itemid1) {
                  echo "Enter the Item ID<br>";
              }
              if (!$itemdescription1) {
                  echo "Enter the Item Description<br>";
              }
              if (!$itemstock1) {
                  echo "Enter the Item Stock<br>";
              }
              if (!$itemtax1) {
                  echo "Enter the Item Tax<br>";
              }
              if (!$itemprice1) {
                 echo "Enter the Item Price<br>";
              }
              exit(); // If there are errors then we quit this script
          }

          // Check Stock, Item Tax and Item Price are numeric
          if ((!is_numeric($itemstock1)) || (!is_numeric($itemtax1)) || (!is_numeric($itemtax1))) {
              echo "<br><center><font face='Verdana'>";
              if ((!is_numeric($itemstock1))) {
                  echo "Please enter a numeric Stock<br>";
              }
              if ((!is_numeric($itemtax1))) {
                  echo "Please enter a numeric Item Tax<br>";
              }
              if ((!is_numeric($itemprice1))) {
                  echo "Please enter a numeric Item Price<br>";
              }
              exit();
          }

          // Get details of item from Database and put them in variables
          $query = mysql_query("SELECT * FROM items WHERE itemno = '$selectitem'");
          $itemid = mysql_result($query,0,0);          // Item ID
          $itemdescription = mysql_result($query,0,1); // Item Description
          $itemstock = mysql_result($query,0,2);       // Item Stock
          $itemtax = mysql_result($query,0,3);         // Item Tax
          $itemprice = mysql_result($query,0,4);       // Item Price

          // Compare variables and update new variables to database if changed
          $changeitemid = strcmp($itemid1,$itemid);
          $changeitemdescription = strcmp($itemdescription1,$itemdescription);
          $changeitemstock = strcmp($itemstock1,$itemstock);
          $changeitemtax = strcmp($itemtax1,$itemtax);
          $changeitemprice = strcmp($itemprice1,$itemprice);

          // Update new Variables to database if they are not 0 which means they changed
          echo "<center>";
          if ($changeitemid != 0) { echo "Item ID Updated<BR>";
              // Insert new value to database
              mysql_query ("UPDATE items SET itemno = '$itemid1' WHERE itemno = '$selectitem'");
              $itemid = $itemid1; // Update old value on this page
          }
          if ($changeitemdescription != 0) { echo "Item Description Updated<BR>";
              mysql_query ("UPDATE items SET itemdes = '$itemdescription1' WHERE itemno = '$selectitem'");
              $itemdescription = $itemdescription1;
          }
          if ($changeitemstock != 0) { echo "Item Stock Updated<BR>";
              mysql_query ("UPDATE items SET itemstock = '$itemstock1' WHERE itemno = '$selectitem'");
              $itemstock = $itemstock1;
          }
          if ($changeitemtax != 0) { echo "Item Tax Updated<BR>";
              mysql_query ("UPDATE items SET itemtax = '$itemtax1' WHERE itemno = '$selectitem'");
              $itemtax = $itemtax1;
          }
          if ($changeitemprice != 0) { echo "Item Price Updated<BR>";
              mysql_query ("UPDATE items SET itemprice = '$itemprice1' WHERE itemno = '$selectitem'");;
              $itemprice = $itemprice1;
          }

          echo "</center><br>";

          // Make the table displaying details of user
          echo "
          <table border='0' width='100%' id='table4' height='117'>
        <tr>
                <td width='268' height='24'>&nbsp;</td>
                <td height='24'> <font face='Verdana'>Item ID:</font></td>
                <td width='187' height='24'><font face='Verdana'> $itemid</td>
                <td width='376' height='24'>
                                &nbsp;</td>
        </tr>
        <tr>
                <td width='268' height='24'>&nbsp;</td>
                <td height='24'> <font face='Verdana'>Description:</font></td>
                <td width='187' height='24'><font face='Verdana'> $itemdescription</td>
                <td width='376' height='24'> &nbsp;</td>
        </tr>
        <tr>
                <td width='268'>&nbsp;</td>
                <td> <font face='Verdana'>Stock:</font></td>
                <td width='187'><font face='Verdana'>$itemstock</td>
                <td width='376'>&nbsp;</td>
        </tr>
        <tr>
                <td width='268'>&nbsp;</td>
                <td> <font face='Verdana'>Item Tax:</font></td>
                <td width='187'><font face='Verdana'>$itemtax</td>
                <td width='376'>&nbsp;</td>
        </tr>
        <tr>
                <td width='268'>&nbsp;</td>
                <td> <font face='Verdana'>Item Price:</font></td>
                <td width='187'><font face='Verdana'>$itemprice</td>
                <td width='376'>&nbsp;</td>
        </tr>
        </table>";

     // If user and password are not correct print error message
     }
     else {
         echo "Incorrect username/password";
         exit;
     }
  }
?>

</html>